# acot

computes the element-wise inverse cotangeant of the argument.

## Calling Sequence

    y = acot(x)

## Arguments

x

  a real or complex array.

y

  a real or complex array.

## Description

Computes the element-wise inverse cotangeant of the argument. For real argument the result is real.

The following equalities hold: `acot(z) = %pi-acot(-z)=%pi/2-atan(z)=%i*acoth(%i*z)+%pi/2*(1-csgn(z+%i))` .

## Sample

x=-30:0.1:30; plot(x,acot(x))

## Examples

    x=[1 2 -2 sqrt(2) -sqrt(2) 2/sqrt(3) -2/sqrt(3) -1];
    acot(x)/%pi

## See Also

- cotg
- acotd
- csgn
- acoth
- atan

## References

- Kahan, W., "Branch cuts for complex elementary functions, or, Much ado about nothing's sign bit", Proceedings of the joing IMA/SIAM conference on The State of the Art in Numerical Analysis, University of Birmingham, A. Iserles and M.J.D. Powell, eds, Clarendon Press, Oxford, 1987, 165-210.